# Version SVN: $Id: schema.yml 15 2011-09-08 17:13:25Z sven.poeche $
propel:
  _attributes:              { package: plugins.stGoogleMapPlugin.lib.model }

  googlemap:
    _attributes:            { phpName: GoogleMap, allowPkInsert: true }
    gmid:                   { type: integer, size:  11, required: true, primaryKey: true, autoIncrement: true }
    type:                   { type: varchar, size: 255, required: true }
    tagged_id:              { type: integer, size:  11, required: true }
    location:               { type: varchar, size: 255, required: true }
    longitude:              { type: float,   size:  12, scale: 8, required: true, default: 0.00 }
    latitude:               { type: float,   size:  12, scale: 8, required: true, default: 0.00 }
    zoom:                   { type: integer, size:  11, required: true, default: true }
    created_at:             { type: timestamp, required: true }
    updated_at:             { type: timestamp, required: true }
    _indexes:
      gm_i_type:            [type, tagged_id]
